# prefix.hh File Reference

Compute an automaton which accepts any prefix of the language accepted by the given automaton. More...

Include dependency graph for prefix.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
void | prefix_here (const Element< A, AI > &a)
| Make every states of the automaton final states (in place).
template<typename A , typename AI >
Element< A, AI > | prefix (const Element< A, AI > &a)
| Make every states of the automaton final states.

## Detailed Description

Compute an automaton which accepts any prefix of the language accepted by the given automaton.

See also:
  is_realtime()

Definition in file prefix.hh.